| The Gaudi Framework v28r2-patches (bc4ad17a)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Private Member Functions | Private Attributes | List of all members
Genfun::GaudiMathImplementation::GSLSplineDeriv Class Reference

`#include <GaudiMath/Splines.h>`

Inheritance diagram for Genfun::GaudiMathImplementation::GSLSplineDeriv:
[legend]
Collaboration diagram for Genfun::GaudiMathImplementation::GSLSplineDeriv:
[legend]

## Public Types
typedef SplineBase::Data1D | Data1D
typedef SplineBase::Data2D | Data2D

## Public Member Functions
| GSLSplineDeriv (const Data1D &x, const Data1D &y, const GaudiMath::Interpolation::Type type)
| mandatory macro from CLHEP/GenericFunctions More...
| GSLSplineDeriv (const Data2D &data, const GaudiMath::Interpolation::Type type)
| constructor from data vector More...
template<class DATAX , class DATAY >
| GSLSplineDeriv (const GaudiMath::Interpolation::Type type, DATAX begin_x, DATAX end_x, DATAY begin_y)
| templated constructor in the spirit of STL-algorithms More...
template<class DATA >
| GSLSplineDeriv (const GaudiMath::Interpolation::Type type, DATA begin, DATA end)
| templated constructor from the sequence of pairs as sequence of pairs the class TabulatedProperty can be used More...
| GSLSplineDeriv (const SplineBase &)
| constructor from base More...
| GSLSplineDeriv (const GSLSplineDeriv &)
| copy constructor More...
| ~GSLSplineDeriv () override
| destructor More...
double | operator() (double a) const override
| main method: evaluate the function More...
double | operator() (const Argument &x) const override
| main method: evaluate the function More...
unsigned int | dimensionality () const override
bool | hasAnalyticDerivative () const override
| Does this function have an analytic derivative? More...
Genfun::Derivative | partial (unsigned int i) const override
| Derivatives. More...
const SplineBase & | spline () const
| acess to the spline function More...
| operator const SplineBase & () const
| cast operator to the spline function More...

## Private Member Functions
| GSLSplineDeriv ()
| default construtor is desabled ; More...
GSLSplineDeriv & | operator= (const GSLSplineDeriv &)
| assignement operator is desabled ; More...

## Private Attributes
SplineBase | m_spline

## Detailed Description

Definition at line 277 of file Splines.h.

## Member Typedef Documentation

typedef SplineBase::Data1D Genfun::GaudiMathImplementation::GSLSplineDeriv::Data1D

Definition at line 280 of file Splines.h.

typedef SplineBase::Data2D Genfun::GaudiMathImplementation::GSLSplineDeriv::Data2D

Definition at line 281 of file Splines.h.

## Constructor & Destructor Documentation

Genfun::GaudiMathImplementation::GSLSplineDeriv::GSLSplineDeriv | ( | const Data1D & | x,
|  | const Data1D & | y,
|  | const GaudiMath::Interpolation::Type | type
| ) |  |

mandatory macro from CLHEP/GenericFunctions

constructor from vectors and type

constructor from vectors and type

Data1D x = .. ;
Data1D y = .. ;
const AbsFunction& func =
GSLSplineDeriv( x , y , GaudiMath::Interpolation::Cspline ) ;
const double value = 1 ;
const double result = func( value ) ;

Parameters

  x | vector of x
  y | vector of y
  type | interpolation type

Data1D x = .. ;
Data1D y = .. ;
const AbsFunction& func =
GSLSplineDeriv( x , y , GaudiMath::Interpolation::Cspline ) ;
const double value = 1 ;
const double result = func( value ) ;

Parameters

  x | vector of x
  y | vector of y
  type | interpolation type

Definition at line 319 of file Splines.cpp.

322 : AbsFunction ()
323 , m_spline ( x , y , type )
324 {}
Genfun::GaudiMathImplementation::GSLSplineDeriv::m_spline
SplineBase m_spline
Definition: Splines.h:413
gaudirun.type
type
Definition: gaudirun.py:125

Genfun::GaudiMathImplementation::GSLSplineDeriv::GSLSplineDeriv | ( | const Data2D & | data,
|  | const GaudiMath::Interpolation::Type | type
| ) |  |

constructor from data vector

Data2D data = ... ;
const AbsFunction& func =
GSLSpline( data , GaudiMath::Interpolation::Cspline );
const double value = 1 ;
const double result = func( value ) ;

Parameters

  data | vector of (x,y) pairs
  type | interpolation type

Definition at line 348 of file Splines.cpp.

350 : AbsFunction ()
351 , m_spline ( data , type )
352 {}
Genfun::GaudiMathImplementation::GSLSplineDeriv::m_spline
SplineBase m_spline
Definition: Splines.h:413
gaudirun.type
type
Definition: gaudirun.py:125
template<class DATAX , class DATAY >

Genfun::GaudiMathImplementation::GSLSplineDeriv::GSLSplineDeriv | ( | const GaudiMath::Interpolation::Type | type,
|  | DATAX | begin_x,
|  | DATAX | end_x,
|  | DATAY | begin_y
| ) |  |
| inline

templated constructor in the spirit of STL-algorithms

It is assumed that vector "y" has tehlength AT LEAST as long as "x"

SEQURNCE1 x = .. ;
SEQUENCE2 y = .. ;
const AbsFunction& func =
GSLSpline( GaudiMath::Interpoaltion::Cspline ,
x.begin () ,
x.end () ,
y.begin () );
const double value = 1 ;
const double result = func( value ) ;

Parameters

  begin_x | begin of X-sequence
  end_x | end of X-sequence
  begin_Y | begin of Y-sequence
  type | interpolation type

Definition at line 359 of file Splines.h.

363 : AbsFunction ( )
364 , m_spline( type , begin_x , end_x , begin_y )
365 {}
Genfun::GaudiMathImplementation::GSLSplineDeriv::m_spline
SplineBase m_spline
Definition: Splines.h:413
gaudirun.type
type
Definition: gaudirun.py:125
template<class DATA >

Genfun::GaudiMathImplementation::GSLSplineDeriv::GSLSplineDeriv | ( | const GaudiMath::Interpolation::Type | type,
|  | DATA | begin,
|  | DATA | end
| ) |  |
| inline

templated constructor from the sequence of pairs as sequence of pairs the class TabulatedProperty can be used

Parameters

  begin | begin of sequence of pairs
  end | end of sequence of pairs
  type | interpolation type

Definition at line 379 of file Splines.h.

382 : AbsFunction ( )
383 , m_spline( type , begin , end )
384 {}
begin
auto begin(reverse_wrapper< T > &w)
Definition: reverse.h:48
Genfun::GaudiMathImplementation::GSLSplineDeriv::m_spline
SplineBase m_spline
Definition: Splines.h:413
gaudirun.type
type
Definition: gaudirun.py:125
end
auto end(reverse_wrapper< T > &w)
Definition: reverse.h:50

Genfun::GaudiMathImplementation::GSLSplineDeriv::GSLSplineDeriv | ( | const SplineBase & | right | ) |

constructor from base

constructor from SplineBase

Definition at line 359 of file Splines.cpp.

360 : AbsFunction ()
361 , m_spline ( right )
362 {}
Genfun::GaudiMathImplementation::GSLSplineDeriv::m_spline
SplineBase m_spline
Definition: Splines.h:413

Genfun::GaudiMathImplementation::GSLSplineDeriv::GSLSplineDeriv | ( | const GSLSplineDeriv & | right | ) |

copy constructor

Definition at line 369 of file Splines.cpp.

370 : AbsFunction ()
371 , m_spline ( right )
372 {}
Genfun::GaudiMathImplementation::GSLSplineDeriv::m_spline
SplineBase m_spline
Definition: Splines.h:413

Genfun::GaudiMathImplementation::GSLSplineDeriv::~GSLSplineDeriv | ( |  | ) |
| override

destructor

Definition at line 378 of file Splines.cpp.

378 {}

Genfun::GaudiMathImplementation::GSLSplineDeriv::GSLSplineDeriv | ( |  | ) |
| private

default construtor is desabled ;

## Member Function Documentation

unsigned int Genfun::GaudiMathImplementation::GSLSplineDeriv::dimensionality | ( |  | ) | const
| inline override

Definition at line 396 of file Splines.h.

396 { return 1 ; }

bool Genfun::GaudiMathImplementation::GSLSplineDeriv::hasAnalyticDerivative | ( |  | ) | const
| inline override

Does this function have an analytic derivative?

Definition at line 398 of file Splines.h.

398 { return true ; }

Genfun::GaudiMathImplementation::GSLSplineDeriv::operator const SplineBase & | ( |  | ) | const
| inline

cast operator to the spline function

Definition at line 405 of file Splines.h.

405 { return spline() ; }
Genfun::GaudiMathImplementation::GSLSplineDeriv::spline
const SplineBase & spline() const
acess to the spline function
Definition: Splines.h:403

double Genfun::GaudiMathImplementation::GSLSplineDeriv::operator() | ( | double | a | ) | const
| override

main method: evaluate the function

Definition at line 382 of file Splines.cpp.

383 { return m_spline.deriv ( x ) ; }
Genfun::GaudiMathImplementation::GSLSplineDeriv::m_spline
SplineBase m_spline
Definition: Splines.h:413
Genfun::GaudiMathImplementation::SplineBase::deriv
double deriv(const double x) const
evaluate the first derivative
Definition: Splines.cpp:155

double Genfun::GaudiMathImplementation::GSLSplineDeriv::operator() | ( | const Argument & | x | ) | const
| override

main method: evaluate the function

Definition at line 385 of file Splines.cpp.

386 { return m_spline.deriv ( x[0] ) ; }
Genfun::GaudiMathImplementation::GSLSplineDeriv::m_spline
SplineBase m_spline
Definition: Splines.h:413
Genfun::GaudiMathImplementation::SplineBase::deriv
double deriv(const double x) const
evaluate the first derivative
Definition: Splines.cpp:155

GSLSplineDeriv& Genfun::GaudiMathImplementation::GSLSplineDeriv::operator= | ( | const GSLSplineDeriv & |  | ) |
| private

assignement operator is desabled ;

Genfun::Derivative Genfun::GaudiMathImplementation::GSLSplineDeriv::partial | ( | unsigned int | i | ) | const
| override

Derivatives.

Definition at line 392 of file Splines.cpp.

393 {
394 if ( i >= 1 )
395 {
396 const AbsFunction& aux = GaudiMath::Constant( 0.0 , 1 ) ;
397 return Genfun::FunctionNoop( &aux ) ;
398 }
399 const AbsFunction& aux = GSLSplineDeriv2( *this ) ;
400 return Genfun::FunctionNoop( &aux ) ;
401 }
GaudiMath::Constant
Genfun::GaudiMathImplementation::Constant Constant
Definition: GaudiMath.h:27

const SplineBase& Genfun::GaudiMathImplementation::GSLSplineDeriv::spline | ( |  | ) | const
| inline

acess to the spline function

Definition at line 403 of file Splines.h.

403 { return m_spline ; }
Genfun::GaudiMathImplementation::GSLSplineDeriv::m_spline
SplineBase m_spline
Definition: Splines.h:413

## Member Data Documentation

SplineBase Genfun::GaudiMathImplementation::GSLSplineDeriv::m_spline
| private

Definition at line 413 of file Splines.h.

The documentation for this class was generated from the following files:

- GaudiGSL/GaudiMath/Splines.h
- GaudiGSL/src/Lib/Splines.cpp